Subject: bug#49233: gmnisrv: missing mime.types

From: Christopher Howard <[email-masked]>
Date: Fri, 23 Jul 2021 08:41:25 -0800

Thank you. I am currently use agate, but I might give gmnisrv another
try after the patch makes it into master.

-----Original Message-----
From: Sarah Morgensen <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#49233: gmnisrv: missing mime.types
Date: Fri, 23 Jul 2021 01:14:39 -0700

Hello,

Christopher Howard <[email-masked]> writes:

> Hi, I am trying to use the gmnisrv service as described in the Guix
> manual, using the default configuration:
> 
>  (services
>   (append
>    (list (service gmnisrv-service-type)
> 	 (service openssh-service-type)
> 	 (service network-manager-service-type)
> 	 (service wpa-supplicant-service-type))
>    %base-services))
> 
> However, gmnisrv keeps dying with this error:
> 
> gmnisrv: src/mime.c:37: mime_init: Assertion `0' failed.
> Unable to open MIME database for reading: No such file or directory
> Is /etc/mime.types installed?
> 
> Is the gmnisrv package or service missing a dependency that is
> supposed to provide the mime.types file, or am I supposed to copy one
> from somewhere?

It turns out that the gmnisrv package was misconfigured so that it was
necessary to have /etc/mime.types present. I've submitted a patch at

  https://issues.guix.gnu.org/49705

to fix that (as well as not looking for /etc/gmnisrv.conf if present)
if
you would like to test it before it makes it into master.

> My system information:
> 
> christopher@galadriel ~$ neofetch --stdout
> christopher@galadriel 
> --------------------- 
> OS: Guix System b36267b1d96ac344d2b42c9822ce04b4c3117f85 x86_64 
> Host: OptiPlex 7010 01 
> Kernel: 5.12.13-gnu 
> Uptime: 24 mins 
> Packages: 51 (guix-system), 35 (guix-user) 
> Shell: bash 5.0.16 
> Terminal: /dev/pts/0 
> CPU: Intel i5-3570 (4) @ 3.800GHz 
> GPU: Intel HD Graphics 
> Memory: 93MiB / 15929MiB 

--
Sarah